package org.kde.qt;


/** {@link QTextView} emits these signals */
public interface QTextViewSignals {
	void currentVerticalAlignmentChanged( int a );
	void destroyed( QObject obj );
	void returnPressed();
	void contentsMoving( int x, int y );
	void currentFontChanged( QFont f );
	void currentColorChanged( QColor c );
	void undoAvailable( boolean yes );
	void currentAlignmentChanged( int a );
	void copyAvailable( boolean arg1 );
	void cursorPositionChanged( int para, int pos );
	void modificationChanged( boolean m );
	void selectionChanged();
	void redoAvailable( boolean yes );
	void textChanged();
}

